Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class CrossReference

    java.lang.Object
      org.jbehave.core.reporters.Format
          org.jbehave.core.reporters.CrossReference

    public class CrossReference

extends Format

Nested Class Summary
`static class` | `CrossReference.StepMatch`
`static class` | `CrossReference.StepUsage`
`static class` | `CrossReference.XrefOutputFailed`
`static class` | `CrossReference.XRefRoot`
`static class` | `CrossReference.XRefStory`

Field Summary

Fields inherited from class org.jbehave.core.reporters.Format
`ANSI_CONSOLE, CONSOLE, HTML, HTML_TEMPLATE, IDE_CONSOLE, STATS, TXT, XML, XML_TEMPLATE`

Constructor Summary
`CrossReference()`
`CrossReference(String name)`

Method Summary
`protected void` | `aliasForXRefRoot(com.thoughtworks.xstream.XStream xstream)`
`protected void` | `aliasForXRefStory(com.thoughtworks.xstream.XStream xstream)`
`StoryReporter` | `createStoryReporter(FilePrintStreamFactory factory, StoryReporterBuilder storyReporterBuilder)`
`protected CrossReference.XRefRoot` | `createXRefRoot(StoryReporterBuilder storyReporterBuilder, List<org.jbehave.core.reporters.CrossReference.StoryHolder> stories, Set<String> failingStories)`
`CrossReference` | `excludingStoriesWithNoExecutedScenarios(boolean exclude)`
`protected String` | `fileName(String extension)`
`String` | `getMetaFilter()`
`StepMonitor` | `getStepMonitor()`
`protected Writer` | `makeWriter(File file)`
`protected CrossReference.XRefRoot` | `newXRefRoot()`
`void` | `outputToFiles(StoryReporterBuilder storyReporterBuilder)` Output to JSON and/or XML files.
`CrossReference` | `withJsonOnly()`
`CrossReference` | `withMetaFilter(String metaFilter)`
`CrossReference` | `withOutputAfterEachStory(boolean outputAfterEachStory)`
`CrossReference` | `withPendingStepStrategy(PendingStepStrategy pendingStepStrategy)`
`CrossReference` | `withThreadSafeDelegateFormat(Format format)`
`CrossReference` | `withXmlOnly()`

Methods inherited from class org.jbehave.core.reporters.Format
`name, println, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CrossReference

    public CrossReference()

### CrossReference

    public CrossReference(String name)

Method Detail

### withJsonOnly

    public CrossReference withJsonOnly()

### withXmlOnly

    public CrossReference withXmlOnly()

### withMetaFilter

    public CrossReference withMetaFilter(String metaFilter)

### withPendingStepStrategy

    public CrossReference withPendingStepStrategy(PendingStepStrategy pendingStepStrategy)

### withOutputAfterEachStory

    public CrossReference withOutputAfterEachStory(boolean outputAfterEachStory)

### withThreadSafeDelegateFormat

    public CrossReference withThreadSafeDelegateFormat(Format format)

### excludingStoriesWithNoExecutedScenarios

    public CrossReference excludingStoriesWithNoExecutedScenarios(boolean exclude)

### getMetaFilter

    public String getMetaFilter()

### getStepMonitor

    public StepMonitor getStepMonitor()

### outputToFiles

    public void outputToFiles(StoryReporterBuilder storyReporterBuilder)

  Output to JSON and/or XML files. Could be at the end of the suite, or per story In the case of the latter, synchronization is needed as two stories (on two threads) could be completing concurrently, and we need to guard against ConcurrentModificationException

  Parameters:
    `storyReporterBuilder` - the reporter to use

### fileName

    protected String fileName(String extension)

### createXRefRoot

    protected final CrossReference.XRefRoot createXRefRoot(StoryReporterBuilder storyReporterBuilder,
                                                           List<org.jbehave.core.reporters.CrossReference.StoryHolder> stories,
                                                           Set<String> failingStories)

### newXRefRoot

    protected CrossReference.XRefRoot newXRefRoot()

### makeWriter

    protected Writer makeWriter(File file)
                         throws IOException

  Throws:
    `IOException`

### aliasForXRefStory

    protected void aliasForXRefStory(com.thoughtworks.xstream.XStream xstream)

### aliasForXRefRoot

    protected void aliasForXRefRoot(com.thoughtworks.xstream.XStream xstream)

### createStoryReporter

    public StoryReporter createStoryReporter(FilePrintStreamFactory factory,
                                             StoryReporterBuilder storyReporterBuilder)

  Specified by:
    `createStoryReporter` in class `Format`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.